<script setup lang="ts">
    interface Props {
        isMobile: boolean
    }
    const expandPanel = defineModel<boolean>({ required: true })
    defineProps<Props>()
</script>

<template>
    <div
        :hidden="!expandPanel"
        style="z-index: 1002; min-width: 300px; max-width: 90vw"
        class="overflow-y-auto bg-background h-100"
        :class="{
            'position-absolute': isMobile,
            'right-0': isMobile,
        }"
        v-bind="$attrs"
    >
        <slot></slot>
    </div>

    <div
        v-if="isMobile && expandPanel"
        class="top-0 bottom-0 right-0 left-0 position-absolute opacity-70"
        style="z-index: 1001; background-color: black"
        @click="expandPanel = false"
    ></div>
</template>
